{% extends 'requestdataapp/base.html' %}

{% block title %}
    User BIO
{% endblock %}

{% block body %}
    <h1>User form</h1>
    <div>
        <form method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <button type="submit">Submit</button>
        </form>
    </div>
    {% if request.POST %}
        <div>
            <h1>Previous form data:</h1>
            <table>
                <tr>
                    <td>Full name:</td>
                    <td>{{ request.POST.name }}</td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>Age:</td>
                    <td>{{ request.POST.age }}</td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>Bio:</td>
                    <td>{{ request.POST.bio|linebreaks }}</td>
                </tr>
            </table>
        </div>
    {% endif %}
{% endblock %}
